List available models
curl --request GET \
--url https://api.lighton.ai/api/v2/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lighton.ai/api/v2/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lighton.ai/api/v2/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"object": "model",
"name": "<string>",
"is_default_for_company": true,
"model_type": "Large Language Model",
"deployment_type": "Self-Hosted",
"enabled": true,
"technical_name": "<string>",
"start_messages_template": "<string>"
}
]
}Models
List available models
deprecated
Deprecated — this endpoint will be removed in a future release. Use GET /api/v3/models instead.
This endpoint can be used to get the list of available models for your API key.
GET
/
api
/
v2
/
models
List available models
curl --request GET \
--url https://api.lighton.ai/api/v2/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lighton.ai/api/v2/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lighton.ai/api/v2/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"object": "model",
"name": "<string>",
"is_default_for_company": true,
"model_type": "Large Language Model",
"deployment_type": "Self-Hosted",
"enabled": true,
"technical_name": "<string>",
"start_messages_template": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.